@charset "utf-8";

/*
 * World Cup 2026 Prize Pot
 * CCP v1.0.8
 * 2026.06.12
 *
 * Gaming
 *
 * Release Candidate 2
 */

/*
Version
*/
#CustomContentPodContentWrapper
{
    --version: 1.0.7 RC2 (2026.06.04);
}

/*
Colours
*/
#CustomContentPodContentWrapper,
.CCP_GameTableContainer
{
    --system-font: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    --preload-outer: hsla(161, 100%, 58%, 0.25);
    --bet365-green: #29ffbb;
    --bet365-yellow: #ffdf1b;
    --base-text-color: #fff;
    --button-text: #222;
    --button-hover: #fff;
}

/*
Global positioning and sizes
*/
body:not(.sportsbook-embedded) #CustomContentPodContentWrapper
{
    --top-navigation-height: 110px;
}

body.sportsbook-embedded #CustomContentPodContentWrapper
{
    --top-navigation-height: 50px;
}

#CustomContentPodContentWrapper
{
    --preload-height: calc(100lvh - var(--top-navigation-height));

    position: relative;
    max-width: 1450px;
    margin: 0 auto 50px;
}

@media (max-width: 480px)
{
    #CustomContentPodContentWrapper
    {
        --target-ccpbody-height: 650px;
    }
}

@media (min-width: 481px) and (max-width: 767px)
{
    #CustomContentPodContentWrapper
    {
        --target-ccpbody-height: 750px;
    }
}

@media (min-width: 768px)
{
    #CustomContentPodContentWrapper
    {
        --target-ccpbody-height: 900px;
    }
}

@media (max-width: 767px)
{
    #CustomContentPodContentWrapper:not(.loaded)
    {
        min-height: var(--preload-height);
    }

    .__CCPBody.preloading
    {
        height: var(--preload-height);
    }
}

@media (min-width: 768px)
{
    #CustomContentPodContentWrapper:not(.loaded)
    {
        min-height: var(--target-ccpbody-height);
    }

    .__CCPBody
    {
        height: var(--target-ccpbody-height);
    }
}


/*
Site cascade resets
*/
.__CCPBody h3
{
    max-width: unset;
}

/* .CCP_TopBannerOverride */
div.odtb:has(div.odtb-ImageContainer)
{
    display: none;
}


/*
 ** CCP rules begin **
 */
.__CCPBody
{
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    position: relative;
    width: 100%;
    min-height: var(--target-ccpbody-height);
    margin: auto;
    overflow: hidden;
    z-index: 1;
}

.__CCPBody img
{
    display: block;
    margin: 0;
}

.__CCPBody h3,
.__CCPBody strong
{
    font-weight: normal;
}

.__CCPBody .text-anim-wrapper
{
    position: relative;
    width: 100%;
    overflow: hidden;
}


/*
Main logo components
*/
.CCP_MainLogo
{
    --center-translate: 150%;
    --spur-width: calc(var(--logo-font-size) * 2);
    --word-padding: calc(var(--spur-width) / 4);
    --spur-width-padded: calc(var(--spur-width) + var(--word-padding) / 2);

    display: flex;
    position: absolute;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.2em;
    inset: 0 auto;
    height: 25%;
    margin: 0;
    font-size: max(15px, var(--logo-font-size));
    filter: drop-shadow(0 2px 3px black);
}

.CCP_MainLogo > span
{
    position: relative;
    margin: 0;
    padding: 0 var(--word-padding);
    font-weight: normal;
    line-height: 0.8em;
    text-align: center;
    white-space: nowrap;
    color: var(--word-color);
    text-transform: uppercase;
    letter-spacing: -0.015em;
}

.CCP_MainLogo > span:not(.hilite)
{
	--word-color: var(--bet365-yellow);
	--spur-top: max(2px, calc(var(--paydate-font-size) / 4));
	--spur-width-ref: var(--spur-width);

	font-family: FuturaPTWebBoldOblique;
	font-size: 1em;
}

.CCP_MainLogo > span.hilite
{
	--word-color: #fff;
	--spur-top: 15%;
	--spur-width-ref: var(--spur-width-padded);

	font-size: 2em;
	font-family: FuturaPTBold;
	z-index: -1;
}

.CCP_MainLogo > span::before
{
	content: attr(data-content);
	position: absolute;
	inset: 0;
	padding: inherit;
	color: transparent;
	background-clip: text;
}

.CCP_MainLogo > span:not(.hilite)::before
{
	background-image: linear-gradient(
        65deg,
        var(--word-color) 15%,
        hsl(52deg 100% 95%) 50%,
        var(--word-color) 85%
    );
}

.CCP_MainLogo > span.hilite::before
{
	background-image: linear-gradient(178deg, #fff 49%, #ccc 51%, #fff);
}

.CCP_MainLogo::before
{
	content: "";
	display: block;
	position: absolute;
	aspect-ratio: 8 / 3;
	width: auto;
	height: 25%;
	bottom: 88%;
}

.CCP_MainLogo::before
{
	background: transparent var(--logo-brand-src) center no-repeat;
}

.CCP_MainLogo > span:last-child::after
{
	content: "";
	display: block;
	position: absolute;
	inset: var(--spur-top) calc(var(--spur-width) * -1) auto;
	height: 5px;
	background: linear-gradient(
        97deg,
        var(--word-color) var(--spur-width-ref),
        transparent calc(var(--spur-width-ref) + 0.5px),
        transparent calc(100% - var(--spur-width-ref) - 0.5px),
        var(--word-color) calc(100% - var(--spur-width-ref))
    );
	clip-path: polygon(0 0, 100% 0, calc(100% - var(--spur-width-ref)) 100%, var(--spur-width-ref) 100%);
}


/*
Static text components
*/
.CCP_StaticText
{
    display: flex;
    position: relative;
    flex-direction: column;
    justify-content: center;
    width: calc(100% - 30px);
    max-width: 1000px;
    margin: auto;
    text-align: center;
    color: var(--base-text-color);
}

.CCP_StaticText.centered
{
	margin-top: 0;
}

.CCP_StaticText h3
{
    margin: 0;
    font-family: FuturaPTDemi;
    line-height: 1.2;

}

.CCP_StaticText p
{
    margin: 0 20px;
    font-family: FuturaPTWebBook;
    line-height: 1.2;
    text-align: center;
}

.CCP_StaticText h3 > strong
{
    font-family: FuturaPTBold;
    letter-spacing: -0.025em;
}

.CCP_StaticText p > strong
{
    font-family: FuturaPTBold;
    letter-spacing: -0.025em;
    color: var(--bet365-green);
}

.CCP_StaticText > .CCP_Button
{
    margin-top: 25px;
}

@media (max-width: 480px)
{
	.CCP_StaticText h3
	{
		font-size: 22px;
	}

    .CCP_StaticText p
    {
        font-size: 17px;
    }
}

@media (min-width: 480px) and (max-width: 767px)
{
	.CCP_StaticText h3
	{
		font-size: 24px;
	}

    .CCP_StaticText p
    {
        font-size: 18px;
    }
}

@media (min-width: 768px)
{
	.CCP_StaticText h3
	{
		font-size: 26px;
	}

    .CCP_StaticText p
    {
        font-size: 22px;
        letter-spacing: -0.01em;
        margin: 0 2em;
    }
}


/*
Container components
*/
.CCP_JackpotContainer
{
    display: grid;
    position: relative;
    aspect-ratio: 94 / 56;
    width: clamp(450px, 94%, 900px);
    left: 50%;
    margin: 15px 0 0;
    transform: translateX(-50%);
    filter: drop-shadow(0 10px 7px #0009);
    pointer-events: none;
}

.CCP_JackpotContainer > *
{
	grid-area: 1 / 1;
}

@media (max-width: 599px)
{
	.CCP_JackpotContainer
	{
		margin-top: 5vw;
	}
}

.CCP_JackpotContainer.centered
{
    margin: auto 0 var(--logo-font-size);
}


/* Panel components */
.CCP_JackpotContainer .sign-base
{
    width: 100%;
    height: 100%;
    mask-image: var(--sign-base-alpha-src);
    mask-size: 100%;
    mask-position: center;
}

.CCP_JackpotContainer .content-bounds
{
	display: flex;
	position: relative;
	justify-content: center;
	margin: 7% 0 9%;
	align-items: center;
}

.CCP_JackpotContainer > .item
{
	position: absolute;
}

.CCP_JackpotContainer .wreath
{
	width: 19.15%;
	top: 6%;
}

.CCP_JackpotContainer .wreath.left
{
	left: -6.4%;
}

.CCP_JackpotContainer .wreath.right
{
	right: -5.4%;
}

/* Jackpot text component */
.CCP_Jackpot
{
    position: relative;
    width: 90%;
    font-size: var(--jackpot-font-size);
    text-align: center;
    margin-bottom: 0.2em;
    isolation: isolate;
}

.CCP_Jackpot > p
{
    margin: 0;
    padding: 0 0.1em;
    line-height: 1;
}

.CCP_Jackpot > p.value
{
    position: relative;
    font-family: FuturaPTBold;
    letter-spacing: -0.035em;
    color: transparent;
    background: radial-gradient(
        circle at center 35%,
        hsl(38deg, 38%, 67%) 15%,
        hsl(38deg, 45%, 60%),
        hsl(38deg, 30%, 45%) 80%
    );
    background: linear-gradient(to bottom, #fff 50%, #ccc 51%, #ddd);
    -webkit-background-clip: text;
    background-clip: text;
}

.CCP_Jackpot > p.value::before
{
	content: attr(data-value);
	position: absolute;
	inset: 0;
}

.CCP_Jackpot > p.value::before
{
    text-shadow: 0 0.05em 0.1em black;
    z-index: -1;
}

.CCP_Jackpot > p.value::after
{
	background: linear-gradient(
        120deg,
        transparent 40%,
        hsl(161deg, 100%, 85%) 50%,
        transparent 60%
    );
	background-size: 200%;
	animation: CCP_KF-GoldSheen 3s linear infinite;
	mix-blend-mode: overlay;
	-webkit-background-clip: text;
	background-clip: text;
}


/*
Pay Date
*/
.CCP_PayDate
{
    position: absolute;
    bottom: 16%;
    margin: 0;
    font-family: FuturaPTWebMedium;
    line-height: 1.4;
    text-align: center;
    color: var(--base-text-color);
    font-size: clamp(14px, var(--paydate-font-size), 20px);
}

.CCP_PayDate > span
{
    display: block;
    font-family: FuturaPTBold;
    font-size: 1.25em;
    letter-spacing: -0.025em;
    line-height: 1;
    color: var(--bet365-yellow);
}

@media (max-width: 480px)
{
	.CCP_PayDate > span
	{
		font-size: 1em;
	}
}

/*
Games Carousel
*/
.CCP_GameCarousel
{
    --item-transition: transform 150ms ease-out;

    position: relative;
    width: 100%;
    margin: 0 0 20px;
    text-align: center;
}

.CCP_GameCarousel h3
{
    margin: 0 auto;
    font-family: FuturaPTCond;
    font-weight: normal;
    line-height: 1;
    color: #fff;
}

.CCP_GameCarousel > .carousel-body
{
    position: relative;
    user-select: none;
}

.CCP_GameCarousel > .carousel-body.app-hidden
{
    visibility: hidden;
}

.CCP_GameCarousel .carousel-item-container
{
    display: flex;
    height: 100%;
    pointer-events: none;

    transition: transform 500ms cubic-bezier(0.255, 0.185, 0.285, 0.935);
}

.CCP_GameCarousel .carousel-item-container.touch-action-iOS
{
    touch-action: none;
}

.CCP_GameCarousel .carousel-item-container.touch-action-default
{
    touch-action: pan-y pinch-zoom;
}

.CCP_GameCarousel > .carousel-body.transition-suppress .carousel-item-container
{
    transition: none;
}

.CCP_GameCarousel .carousel-item
{
    position: relative;
    flex-shrink: 0;
    flex-grow: 0;
    height: 100%;
    margin: 0 5px;
    pointer-events: auto;
    cursor: pointer;
    transition: var(--item-transition);
    border-radius: 8px;
    contain: paint;
}

.CCP_GameCarousel.pod-narrow .carousel-item
{
    aspect-ratio: 0.825;
}

.CCP_GameCarousel.pod-square .carousel-item
{
    aspect-ratio: 1;
}

.CCP_GameCarousel.pod-fat .carousel-item
{
    aspect-ratio: 1.2;
}

.CCP_GameCarousel.pod-wide .carousel-item
{
    aspect-ratio: 1.5;
}

.CCP_GameCarousel.pod-ultra .carousel-item
{
    aspect-ratio: 2;
}

@media (max-width: 480px) {
	.CCP_GameCarousel.pod-squareflex .carousel-item
	{
	    aspect-ratio: 1;
	}
}

@media (min-width: 481px) {
	.CCP_GameCarousel.pod-squareflex .carousel-item
	{
	    aspect-ratio: 1.3;
	}
}


.CCP_GameCarousel .carousel-item > *
{
    pointer-events: none;
}

.CCP_GameCarousel .carousel-item-image
{
    position: relative;
    width: 100%;
    height: 100%;
}

.CCP_GameCarousel .carousel-item:not(.see-all-games) .carousel-item-image
{
    object-fit: cover;
}

.CCP_GameCarousel .carousel-item-label
{
    position: absolute;
    inset: auto 0 0;
    margin: 0;
    padding: 0.5em 10px;
    font-family: 'FuturaPTCond';
    text-transform: uppercase;
    color: #fff;
    line-height: 1;
    isolation: isolate;
}

.CCP_GameCarousel .carousel-item:not(.see-all-games) > .carousel-item-label::before
{
    content: "";
    display: block;
    position: absolute;
    inset: auto 0 0;
    height: 5em;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.6) 1.5em, transparent);
    z-index: -1;
}

/* Optional "See All Games" item */
.CCP_GameCarousel .carousel-item.see-all-games
{
    display: flex;
    align-items: center;
    justify-content: center;
}

.CCP_GameCarousel .carousel-item.see-all-games > .carousel-item-image
{
    background: radial-gradient(ellipse at top, hsla(161deg, 90%, 50%, 0.4) 5%, transparent),
                radial-gradient(circle at bottom, hsla(205, 37%, 45%, 0.5), transparent);

    -webkit-backdrop-filter: blur(7px);
            backdrop-filter: blur(7px);
}

.CCP_GameCarousel .carousel-control
{
    display: flex;
    position: absolute;
    align-items: center;
    width: 40px;
    height: 100%;
    top: 0;
    margin: 0 -40px;
    cursor: pointer;
    z-index: 1;
    transition: opacity 150ms linear;
}

.CCP_GameCarousel .carousel-control::before
{
    content: "";
    display: block;
    position: absolute;
    aspect-ratio: 1;
    width: 20px;
    border-color: var(--bet365-green);
    border-style: solid;
    border-width: 2px 2px 0 0;
}

.CCP_GameCarousel .carousel-control.left
{
    left: 0;
    border-radius: 0 6px 6px 0;
}

.CCP_GameCarousel .carousel-control.left::before
{
    right: 3px;
    transform: rotate(-135deg);
}

.CCP_GameCarousel .carousel-control.right
{
    right: 0;
    border-radius: 6px 0 0 6px;
}

.CCP_GameCarousel .carousel-control.right::before
{
    left: 3px;
    transform: rotate(45deg);
}

.CCP_GameCarousel .carousel-control.disable
{
    opacity: 0;
    pointer-events: none;
}

@media (max-width: 599px)
{
    .CCP_GameCarousel h3
    {
        font-size: 18px;
    }

    .CCP_GameCarousel > .carousel-body
    {
        height: 160px;
        margin: 0 20px;
    }

    .CCP_GameCarousel .carousel-item-label,
    .CCP_GameCarousel .carousel-item.all-games > .carousel-item-label
    {
        font-size: 13px;
    }

    .CCP_GameCarousel .carousel-control
    {
        width: 22px;
        margin: 0 -20px;
    }

    .CCP_GameCarousel .carousel-control::before
	{
		width: 10px;
	}

    .CCP_GameCarousel .CCP_Link
    {
        font-size: 16px;
    }
}

@media (min-width: 600px) and (max-width: 767px)
{
    .CCP_GameCarousel h3
    {
        font-size: 21px;
    }

    .CCP_GameCarousel > .carousel-body
    {
        height: 180px;
        margin: 0 40px;
    }

    .CCP_GameCarousel .carousel-item-label
    {
        font-size: 13px;
    }

    .CCP_GameCarousel .CCP_Link
    {
        font-size: 16px;
    }
}

@media (min-width: 768px)
{
    .CCP_GameCarousel h3
    {
        font-size: 24px;
    }

    .CCP_GameCarousel > .carousel-body
    {
        height: 200px;
        margin: 0 40px;
    }

    .CCP_GameCarousel .carousel-item-label
    {
        font-size: 16px;
    }

    .CCP_GameCarousel .CCP_Link
    {
        font-size: 18px;
    }
}

@media (hover: hover)
{
    .CCP_Button:not(.error):hover
    {
        background-position: 0;
    }

    .CCP_Link:hover
    {
        color: var(--button-hover);
    }

    .CCP_GameTableContainer a:hover
    {
        color: var(--button-hover);
    }

    /* convoluted hover states to fake previous sibling selectors */
    .CCP_GameCarousel .carousel-item:hover
    {
        transform: scale(1.1);
    }

    .CCP_GameCarousel .carousel-item-container:hover > .carousel-item:hover ~ .carousel-item
    {
        transform: translateX(5%);
    }

    .CCP_GameCarousel .carousel-item-container:hover > .carousel-item:not(:hover)
    {
        transform: translateX(-5%);
    }

    .CCP_GameCarousel .carousel-control
    {
        opacity: 0;
        background-color: rgba(0, 0, 0, .6);

        -webkit-backdrop-filter: blur(7px);
                backdrop-filter: blur(7px);
    }

    .CCP_GameCarousel .carousel-body:hover > .carousel-control:not(.disable)
    {
        opacity: 1;
    }

    .CCP_GameCarousel .carousel-body > .carousel-control:hover::before
    {
        border-color: #fff;
    }
}


/* Interaction modifiers */
body.mouse-dragging .CCP_GameCarousel .carousel-item
{
    cursor: grabbing;
}

body.mouse-dragging :not(.carousel-item-container)
{
    pointer-events: none;
}

body.touch-dragging .carousel-control
{
    opacity: 0;
}


/* Main body */
.CCP_VideoBG
{
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    pointer-events: none;
}

.CCP_VideoBG:not(.no-gradient)
{
    -webkit-mask: linear-gradient(to top, transparent, black 25%);
            mask: linear-gradient(to top, transparent, black 25%);
}

.CCP_VideoBG > video,
.CCP_VideoBG > img
{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.CCP_VideoBG > img
{
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
}

.CCP_VideoBG > .fading
{
    transition: opacity 500ms 750ms linear;
}

.CCP_VideoBG > video.fade-hide
{
    opacity: 0;
}

.CCP_VideoBG > img.fade-hide
{
    opacity: 1;
}


/*
Eligible games table
*/
.CCP_GameTableContainer
{
    box-sizing: border-box;
    max-width: 660px;
    margin: 30px auto;
    padding: 0 30px;
}

.CCP_GameTableContainer > h3
{
    margin: 0;
    font: 24px FuturaPTCond;
    font-weight: normal;
    line-height: 1.75;
    color: #fff;
    text-transform: uppercase;
}

.CCP_GameTableContainer > div
{
	margin: 10px auto 30px;
}

.CCP_GameTableContainer h4
{
    margin: 0 auto 10px;
    font: normal 20px FuturaPTCond;
    line-height: 1.5;
    color: #ccc;
    text-transform: uppercase;
}

.CCP_GameTableContainer ul
{
    display: flex;
    flex-wrap: wrap;
    margin: 0 -10px;
    padding: 0;
    row-gap: 10px;
    list-style: none;
    font: 12px var(--system-font);
}

.CCP_GameTableContainer ul > li
{
    display: flex;
    align-items: center;
    height: 24px;
    padding: 0 10px;
    line-height: 1;
    color: #ccc;
    border: 1px solid transparent;
}

.CCP_GameTableContainer ul > li:not(:last-child):not(.end-of-row)
{
    border-right-color: #666;
}

.CCP_GameTableContainer ul a
{
    color: var(--bet365-green);
    text-decoration: none;
}


/* Buttons */
.CCP_Button
{
    box-sizing: border-box;
    min-width: 100px;
    height: 40px;
    margin: 0 auto;
    padding: 0 30px;
    font: 16px var(--system-font);
    font-weight: 700;
    line-height: 40px;
    letter-spacing: -0.58px;
    text-align: center;
    border-radius: 2px;
}

.CCP_Button:not(.error)
{
    display: block;
    color: var(--button-text);
    border: none;
    outline: none;
    cursor: pointer;
    background: #8affab linear-gradient(90deg, #fff 33%, #26ffbe 67%, #8affab) no-repeat;
    background-size: 300% auto;
    background-position: 100% 0;
    transition: background-position .3s cubic-bezier(.45,0,.55,1),color .3s cubic-bezier(.45,0,.55,1);
}

.CCP_Button.error
{
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    color: var(--base-text-color);
    background-color: #902;
}

.CCP_Link
{
    color: var(--bet365-green);
    text-decoration: none;
}

.CCP_Button, .CCP_Link,
.CCP_GameCarousel .carousel-item,
.CCP_GameCarousel .carousel-control
{
    -webkit-tap-highlight-color: transparent;
}

@media (min-width: 1300px)
{
    .CCP_Button
    {
        min-width: 150px;
    }
}


/*
Page Footer Links
*/
.CCP_FooterLinks
{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 20px auto 0;
    padding: 0 15px;
    list-style: none;
    gap: 1em 2em;
    font: 15px FuturaPTDemi;
    font: 12px var(--system-font);
    line-height: 1;
}

@media (max-width: 480px)
{
	.CCP_FooterLinks .link-list
	{
		font-size: 13px;
	}
}



/* Animation */
.__CCPBody .anim-paused
{
    animation-play-state: paused;
}

.CCP_TextRevealWrapper
{
    contain: paint;
}

.CCP_TextRevealWrapper.above
{
    margin: 0 auto 0.5em;
}

.CCP_Anim-FadeUp
{
    animation: CCP_KF-FadeUp 350ms ease-out backwards;
}

.CCP_Anim-ZoomIn
{
    animation: CCP_KF-ZoomIn 500ms cubic-bezier(0.175, 0.885, 0.320, 1.275);
}

.CCP_Anim-LogoIn
{
    animation: CCP_KF-LogoIn 500ms 150ms cubic-bezier(0.175, 0.885, 0.320, 1.275) both;
}

.CCP_Anim-LogoSlide
{
    animation: CCP_KF-LogoSlide 800ms 3s cubic-bezier(0.230, 1.000, 0.320, 1.000) backwards;
}

.CCP_Anim-CarouselReveal
{
    animation: CCP_KF-CarouselReveal 650ms cubic-bezier(0.165, 0.840, 0.440, 1.000);
}

.CCP_Anim-TextRevealUp
{
    animation: CCP_KF-TextRevealUp 650ms cubic-bezier(0.165, 0.840, 0.440, 1.000);
}

.CCP_Anim-TextRevealDown
{
    animation: CCP_KF-TextRevealDown 650ms cubic-bezier(0.165, 0.840, 0.440, 1.000);
}


@keyframes CCP_KF-FadeUp
{
    from {
        opacity: 0;
    }
}

@keyframes CCP_KF-ZoomIn
{
    from {
        transform: scale(0);
    }
}

@keyframes CCP_KF-LogoIn
{
    from {
        transform: translateY(var(--center-translate)) scale(0);
    }

    to {
        transform: translateY(var(--center-translate)) scale(var(--logo-max-scale));
    }
}

@keyframes CCP_KF-LogoSlide
{
    from {
        transform: translateY(var(--center-translate)) scale(var(--logo-max-scale));
    }
}

@keyframes CCP_KF-CarouselReveal
{
    from {
        transform: translateX(150%);
    }
}

@keyframes CCP_KF-TextRevealUp
{
    from {
        transform: translateY(100%);
    }
}

@keyframes CCP_KF-TextRevealDown
{
    from {
        transform: translateY(-100%);
    }
}

@keyframes CCP_KF-JackpotBulbGlow
{
    0%, 25%, 100% {
        opacity: 0;
    }

    2%, 23% {
        opacity: 1;
    }
}

@keyframes CCP_KF-GoldSheen
{
	from {
		background-position: 100% 0;
	}

	to {
		background-position: -100% 0;
	}
}


/*
 * Legal footer
 */
.CCP_Legal
{
    position: relative;
    margin: 20px 10px 0;
    font: 10px var(--system-font);
    line-height: 1.5;
    letter-spacing: 0.025em;
    text-align: center;
    color: #999;
    text-wrap: balance;
}


/*
 * Preloader; retain at bottom of file
 */
.__CCPBody.preloading
{
    visibility: hidden;
}

.CCP_PreloadOverlay
{
    display: flex;
    position: absolute;
    inset: 0;
    max-height: max(var(--preload-height), var(--target-ccpbody-height));
    z-index: 1;
    justify-content: center;
    align-items: center;
}

.CCP_PreloadOverlay > .bar-outer
{
    position: relative;
    width: 50%;
    max-width: 350px;
    height: 4px;
    margin-top: -2px;
    border-radius: 4px;
    background-color: var(--preload-outer);
}

.CCP_PreloadOverlay .bar-inner
{
    width: 0;
    height: 100%;
    margin: 0;
    border-radius: inherit;
    background-color: var(--bet365-green);
    transition: width 350ms ease-out;
}

.CCP_PreloadOverlay .bar-number
{
    margin-top: 5px;
    text-align: right;
    font: 10px var(--system-font);
    line-height: 1;
    color: var(--bet365-green);
}